Delete IP Block
Delete an IP block
Org must have an Infrastructure Provider entity. User must have authorization role with PROVIDER_ADMIN suffix. Only root IP Blocks can be deleted if there are no allocations associated with them.
If the IP Block’s prefix is still in the Site’s site_fabric_prefixes, NICo creates a new IP Block for it the next time the Site reports its configuration.
Tenant IP Blocks are managed via Allocation. Unknown IDs, IP Blocks belonging to another Infrastructure Provider, and Tenant-created IP Blocks (managed: false) return 404. A Site fabric root linked to an OperatorManaged SitePrefix cannot be deleted through this endpoint and returns 409.
Authentication
AuthorizationBearer
export JWT_BEARER_TOKEN="<jwt-bearer-token>"
# Example org name: "acme-inc
export ORG_NAME=<org-name>
# Use the JWT bearer token in your API request auth header:
curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current
Path parameters
org
Name of the Org
ipBlockId
ID of the IP Block
Response
Deletion request was accepted
message
Human-readable outcome of the request
Errors
400
Bad Request Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error